import { jsx } from "react/jsx-runtime";
import { BugIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Bug = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Bug", ...props, children: /* @__PURE__ */ jsx(BugIcon, { weight: variant }) });
  }
);
Bug.displayName = "Bug";
Object.assign(Bug, { isGdsIcon: true });
export {
  Bug
};
